//
//  MWPhoto+Flickr.m
//  GalerkApp
//
//  Copyright (c) 2012 Passionmakes.us. All rights reserved.
//

#import "PMPhoto+Flickr.h"

@implementation PMPhoto (Flickr)

+ (PMPhoto *)photoWithFlickrInfo:(NSDictionary *)flickrInfo
        
{
    PMPhoto *photo = [PMPhoto photoWithURL:[NSURL URLWithString:[[FlickrAPIFetcher urlForPhoto:flickrInfo format:FlickrPhotoFormatLarge] absoluteString]]];
    photo.caption = [flickrInfo objectForKey:FLICKR_PHOTO_TITLE];
        
    return photo;
}


@end
