//
//  PMTapDetectingView.h  
//  GalerkApp
//
//  Copyright (c) 2012 Passionmakes.us. All rights reserved.
//

#import <Foundation/Foundation.h>

@protocol PMTapDetectingViewDelegate;

@interface PMTapDetectingView : UIView {
	id <PMTapDetectingViewDelegate> __unsafe_unretained tapDelegate;
}
@property (nonatomic, unsafe_unretained) id <PMTapDetectingViewDelegate> tapDelegate;
- (void)handleSingleTap:(UITouch *)touch;
- (void)handleDoubleTap:(UITouch *)touch;
@end

@protocol PMTapDetectingViewDelegate <NSObject>
@optional
- (void)view:(UIView *)view singleTapDetected:(UITouch *)touch;
- (void)view:(UIView *)view doubleTapDetected:(UITouch *)touch;
@end